# DOVECOT Module

## Overview

This module install and configure dovecot IMAP and POP3 email server.

## Usage

Default configuration:

```puppet
include dovecot
```

Change configuration file settings:

```puppet
class { 'dovecot':
    protocols       => 'imap pop3',
    mail_location   => 'maildir:~/Maildir',
    include         => [ 'conf.d/auth-passwdfile.conf.ext' ],
    log_timestamp   => '"%Y-%m-%d %H:%M:%S "',
    ssl_cert        => '</etc/pki/dovecot/certs/dovecot.pem',
    ssl_key         => '</etc/pki/dovecot/private/dovecot.pem',
}
```

Dovecot sql configuration:

```puppet
class { 'dovecot::dovecot_sql':
    driver               => 'mysql',
    connect              => 'host=127.0.0.1 dbname=emaildb user=mail_admin password=password',
    default_pass_scheme  => 'CRYPT',
    password_query       => "SELECT email as user, password FROM usertb WHERE email='%u';",
}
```

