# == Class: dovecot
#
# === Examples
#
#  class { 'dovecot':
#    protocols       => 'imap pop3',
#    mail_location   => 'maildir:~/Maildir',
#  }
#
# === Authors
#
# Aneesh C <aneeshchandrasekharan@gmail.com>
#

class dovecot (
  $package_name           = $::dovecot::params::package_name,
  $template_dovecot       = $::dovecot::params::template_dovecot,
  $template_mail          = $::dovecot::params::template_mail,
  $template_auth          = $::dovecot::params::template_auth,
  $template_master        = $::dovecot::params::template_master,
  $template_logging       = $::dovecot::params::template_logging,
  $template_ssl           = $::dovecot::params::template_ssl,
  $protocols              = undef,
  $include                = [],
  $mail_location          = undef,
  $disable_plaintext_auth = undef,
  $auth_mechanisms        = undef,
  $user                   = undef,
  $group                  = undef,
  $log_timestamp          = undef,
  $ssl_cert               = undef,
  $ssl_key                = undef,
) inherits dovecot::params {
  package { $package_name: ensure => installed }
  file { '/etc/dovecot/dovecot.conf':
    require => package[$package_name],
    content => template($template_dovecot),
  }
  file { '/etc/dovecot/conf.d/10-mail.conf':
    require => package[$package_name],
    content => template($template_mail),
  }
  file { '/etc/dovecot/conf.d/10-auth.conf':
    require => package[$package_name],
    content => template($template_auth),
  }
  file { '/etc/dovecot/conf.d/10-master.conf':
    require => package[$package_name],
    content => template($template_master),
  }
  file { '/etc/dovecot/conf.d/10-logging.conf':
    require => package[$package_name],
    content => template($template_logging),
  }
  file { '/etc/dovecot/conf.d/10-ssl.conf':
    require => package[$package_name],
    content => template($template_ssl),
  }
  if $::osfamily == 'RedHat' {
    service { 'dovecot':
      require => package[$package_name],
      enable  => true,
    }
  }
}
