class dovecot::params {
  if $::osfamily == 'RedHat' {
    $package_name = [ 'dovecot', 'dovecot-mysql' ]
    $template_dovecot_sql = 'dovecot/dovecot-sql.conf.ext.c.erb'
    case $::operatingsystemrelease {
      /^6.*/: {
        $template_dovecot = 'dovecot/dovecot.conf.c.6.erb'
        $template_mail = 'dovecot/10-mail.conf.c.6.erb'
        $template_auth = 'dovecot/10-auth.conf.c.6.erb'
        $template_master = 'dovecot/10-master.conf.c.6.erb'
        $template_logging = 'dovecot/10-logging.conf.c.6.erb'
        $template_ssl = 'dovecot/10-ssl.conf.c.6.erb'
      }
      /^7.*/: {
        $template_dovecot = 'dovecot/dovecot.conf.c.7.erb'
        $template_mail = 'dovecot/10-mail.conf.c.7.erb'
        $template_auth = 'dovecot/10-auth.conf.c.7.erb'
        $template_master = 'dovecot/10-master.conf.c.7.erb'
        $template_logging = 'dovecot/10-logging.conf.c.7.erb'
        $template_ssl = 'dovecot/10-ssl.conf.c.7.erb'
      }
      default: {
        $template_dovecot = 'dovecot/dovecot.conf.c.6.erb'
        $template_mail = 'dovecot/10-mail.conf.c.6.erb'
        $template_auth = 'dovecot/10-auth.conf.c.6.erb'
        $template_master = 'dovecot/10-master.conf.c.6.erb'
        $template_logging = 'dovecot/10-logging.conf.c.6.erb'
        $template_ssl = 'dovecot/10-ssl.conf.c.6.erb'
      }
    }
  }
  if $::osfamily == 'Debian' {
    $package_name = [ 'dovecot-core', 'dovecot-imapd', 'dovecot-pop3d', 'dovecot-lmtpd', 'dovecot-mysql' ]
    case $::operatingsystemrelease {
      /^12.*/: {
        $template_dovecot = 'dovecot/dovecot.conf.u.12.erb'
        $template_mail = 'dovecot/10-mail.conf.u.12.erb'
        $template_auth = 'dovecot/10-auth.conf.u.12.erb'
        $template_master = 'dovecot/10-master.conf.u.12.erb'
        $template_logging = 'dovecot/10-logging.conf.u.12.erb'
        $template_ssl = 'dovecot/10-ssl.conf.u.12.erb'
        $template_dovecot_sql = 'dovecot/dovecot-sql.conf.ext.u.12.erb'
      }
      /^14.*/: {
        $template_dovecot = 'dovecot/dovecot.conf.u.14.erb'
        $template_mail = 'dovecot/10-mail.conf.u.14.erb'
        $template_auth = 'dovecot/10-auth.conf.u.14.erb'
        $template_master = 'dovecot/10-master.conf.u.14.erb'
        $template_logging = 'dovecot/10-logging.conf.u.14.erb'
        $template_ssl = 'dovecot/10-ssl.conf.u.14.erb'
        $template_dovecot_sql = 'dovecot/dovecot-sql.conf.ext.u.14.erb'
      }
      /^16.*/: {
        $template_dovecot = 'dovecot/dovecot.conf.u.16.erb'
        $template_mail = 'dovecot/10-mail.conf.u.16.erb'
        $template_auth = 'dovecot/10-auth.conf.u.16.erb'
        $template_master = 'dovecot/10-master.conf.u.16.erb'
        $template_logging = 'dovecot/10-logging.conf.u.16.erb'
        $template_ssl = 'dovecot/10-ssl.conf.u.16.erb'
        $template_dovecot_sql = 'dovecot/dovecot-sql.conf.ext.u.16.erb'
      }
      default: {
        $template_dovecot = 'dovecot/dovecot.conf.u.12.erb'
        $template_mail = 'dovecot/10-mail.conf.u.12.erb'
        $template_auth = 'dovecot/10-auth.conf.u.12.erb'
        $template_master = 'dovecot/10-master.conf.u.12.erb'
        $template_logging = 'dovecot/10-logging.conf.u.12.erb'
        $template_ssl = 'dovecot/10-ssl.conf.u.12.erb'
        $template_dovecot_sql = 'dovecot/dovecot-sql.conf.ext.u.12.erb'
      }
    }
  }
}
